using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerCrosshair : MonoBehaviour {

    float distance = 10f;

    void OnMouseDrag() {
        Vector3 mousePosition = new Vector3(Input.mousePosition.x, Input.mousePosition.y, distance);
        Vector3 crossHairPosition = Camera.main.ScreenToWorldPoint(mousePosition);
        transform.position = crossHairPosition;
    }

}
